- name: Create service account directory
  file:
    path: "{{ gke_service_account_remote_file | dirname }}"
    state: directory
    mode: '0755'

- name: Copy over service account file
  copy:
    src: "{{ gke.service_account_src }}"
    dest: "{{ gke_service_account_remote_file }}"

- name: Login to gcloud
  command: "gcloud auth activate-service-account --key-file {{ gke_service_account_remote_file }}"

- name: Set GCP Project ID
  command: "gcloud config set project {{ gke.project_id }}"
